# -*- coding: utf-8 -*-

from openerp import models, fields, api

class ClinicMedicvisit(models.Model):
	_inherit = 'clinic.history'

	@api.model
	def getClinicMedicvisit(self,domain):
		ClinicMedicvisit = self.env['clinic.history'].search(domain)
		values = []
		for clinichistory in ClinicMedicvisit:
			try:
				street = clinichistory.partner_id.street
			except Exception as e:
				street = ''
			values.append({
                # ID
				'id': clinichistory.id,
                # WORKORDER INFO
                'name': clinichistory.name or "",
                'user_name': clinichistory.user_id.name or "",
				'paramedico_name': clinichistory.paramedico_id.name or "",
				'order_date': clinichistory.order_date or "",
				'name_movil': clinichistory.name_movil or "",
				'at_base': clinichistory.at_base or "",
				'nro_salida': clinichistory.nro_salida or "",
                'planned_start_date': clinichistory.planned_start_date or "",
                'planned_end_date': clinichistory.planned_end_date or "",
				'lugar_visita': clinichistory.lugar_visita or "",
				'tipo_paciente': clinichistory.tipo_paciente or "",
                'uso_gel': clinichistory.uso_gel or "",
                'seguro': clinichistory.seguro or "",
				'nro_socio': clinichistory.nro_socio or "",
                'alergico': clinichistory.alergico or "",
                'tipo_alergico': clinichistory.tipo_alergico or "",
				'embarazada': clinichistory.embarazada or "",
                'antecedente_paciente': clinichistory.antecedente_paciente or "",
				'pa': clinichistory.pa or "",
                'fc': clinichistory.fc or "",
                'fr': clinichistory.fr or "",
				'temp': clinichistory.temp or "",
                'so': clinichistory.so or "",
				'hgt': clinichistory.hgt or "",
                'motivo': clinichistory.motivo or "",
                'diagnostic': clinichistory.diagnostic or "",
				'indicacion': clinichistory.indicacion or "",
                'actions': clinichistory.actions or "",
                'recommendations': clinichistory.recommendations or "",
				'epicrisis': clinichistory.epicrisis or "",
                'presuntivo': clinichistory.presuntivo or "",
                'clasificacion': clinichistory.clasificacion or "",
                'signature_image_paramedico': clinichistory.signature_image_paramedico or "",
				'signature_image_medico': clinichistory.signature_image_medico or "",
                'signature_image_paciente': clinichistory.signature_image_paciente or "",


                # PARTNER INFO
				'partner_id': clinichistory.partner_id.id or "",
				'partner_name': clinichistory.partner_id.name or "",
				'partner_ruc': clinichistory.partner_id.ruc or "",
				'partner_address': street or "",
                'partner_phone': clinichistory.partner_id.phone or "",
				'partner_mobile': clinichistory.partner_id.mobile or "",
                'partner_fecha_nac ': clinichistory.partner_id.fecha_nac  or "",
				'partner_sexo': clinichistory.partner_id.sexo or "",
                # COMPANY INFO
                'company_id': clinichistory.user_id.company_id.id or "",
                'company_name': clinichistory.user_id.company_id.name or "",
                'company_logo': clinichistory.user_id.company_id.logo or "",
                'company_address': clinichistory.user_id.company_id.street2 or "",
                'company_phone': clinichistory.user_id.company_id.phone or "",
				'vat': clinichistory.user_id.company_id.vat or "",

                # USER INFO
				'user_id': clinichistory.user_id.id or "",
		     	'user_image': clinichistory.user_id.image or "",
			})

		return values

class ClinicMedicvisitLine(models.Model):
	_inherit = 'clinic.history.line'

	@api.model
	def getClinicMedicvisitLine(self,domain):
		ClinicMedicvisitLine = self.env['clinic.history.line'].search(domain)
		values = []
		for line in ClinicMedicvisitLine:
			values.append({
                # ID
				'id': line.id,
                # LINE INFO
                'clinichistory_id': line.clinichistory_id.id,
                'description': line.description or "",
                'quantity': line.quantity or "",
                'brand': line.brand or "",
                'number': line.number or "",
			})

		return values
