openerp.clinic_history_medic = function (instance, local) {
    local.widgetInstance = null;
    local.parentInstance = null;

    local.ClinicHistorymedicWidget = instance.Widget.extend({
        template : "clinic_history_medic.ClinicHistorymedic",
        jsonDoc:[],

        init:function(parent){
            this._super(parent);
        },

        updateId : function(id){
            var self = this;
            self.id=id;
        },

        start: function () {
            var self = this;
            this.$el.click(function (e) {
                self.fecthInitial();
            });
        },

        valorNull:function(dato){
            var valor ="";
            if (dato){
                if(dato == true && typeof dato == 'boolean'){
                    valor=" ";
                }else{
                    valor=dato;
                }
            }
            return valor;
        },

        fecthInitial: function(){
            var id= openerp.webclient._current_state.id;
            var self = this;
            self.fecthClinicMedicvisit(id).then(function(ClinicMedicvisit){
                return ClinicMedicvisit;
            }).then(function(ClinicMedicvisit){
                self.ClinicMedicvisit = ClinicMedicvisit;
                return self.fecthClinicMedicvisitLine();
            }).then(function(ClinicMedicvisitLine){
                self.ClinicMedicvisitLine = ClinicMedicvisitLine;
                return self.drawPDF();
            });
            return false;
        },

        fecthClinicMedicvisit: function(id){
            var domain=[['id','=', id]];
            var ClinicMedicvisit = new instance.web.Model('clinic.history');
            return ClinicMedicvisit.call('getClinicMedicvisit',[domain], {
                context: new instance.web.CompoundContext()
            });
        },

        fecthClinicMedicvisitLine: function () {
            var self = this;
            var clinichistory_ids = _.flatten(_.map(self.ClinicMedicvisit,function(map){
                return map.id;
            }));
            var domain=[['clinichistory_id','in',clinichistory_ids]];
            var ClinicMedicvisitLine = new instance.web.Model('clinic.history.line');
            return ClinicMedicvisitLine.call('getClinicMedicvisitLine',[domain], {
                context: new instance.web.CompoundContext()
            });
        },

        drawPDF:function(){
            var self = this;
            var doc = self.ClinicMedicvisit.shift();
            var docItem = [];
            var docWorkItem = [];
            var getColumns = [];
            var getColumns1 = [];

            var pdfDoc = new jsPDF();
            pdfDoc.addImage("data:image/png;base64," + self.valorNull(doc.company_logo), 'PNG', 14, 3, 35, 20);

            /*
            =============================================================
                OBTENER LINEAS DEL PEDIDO
            =============================================================
            */
            var ClinicMedicvisitLine = self.ClinicMedicvisitLine;
            for (var i = 0; i < ClinicMedicvisitLine.length; i++) {
                docItem.push({
                    xnumber : i + 1,
                    product : ClinicMedicvisitLine[i].description,
                    brand : ClinicMedicvisitLine[i].brand,
                    number : ClinicMedicvisitLine[i].number
                })
            }

            getColumns.push({
                title : '',
                dataKey: 'xnumber',
                align: 'center',
            });

            getColumns.push({
                title : 'Insumos utilizados:',
                dataKey: 'product',
                align: 'left',
            });
            getColumns.push({
                title : 'Cantidad',
                dataKey: 'brand',
                align: 'center',
            });
            getColumns.push({
                title : 'Estado',
                dataKey: 'number',
                align: 'center',
            });

            pdfDoc.autoTable(getColumns, docItem, {
                theme: 'grid',
                styles: {
                    overflow: 'linebreak',
                    columnWidth: 'auto',
                    fontSize: 7,

                },
                headerStyles: {
                    fillColor: [255, 255, 255],
                    borderColor: [150, 152, 154],
                    color: 'black',
                    fontStyle: 'bold',
                    textColor: [0, 0, 0],
                    fontSize: 9
                },
                columnStyles: {
                    xnumber : {halign:'center',columnWidth: '4px'},
                    product : {columnWidth: '8px',fontStyle: 'bold'},
                    brand : {halign:'center', columnWidth: '8px'},
                    number : {halign:'center',columnWidth: '8px'},
                },

                margin: { top: 129, horizontal: 14},


                addPageContent: function (data) {

                    /*
                    ====================================================================
                        CABECERA
                    ====================================================================
                    */



                    pdfDoc.setFontSize(14);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(105,10,'HISTORIA CLINICA PRE-HOSPITALAR');

                    pdfDoc.setFontSize(12);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(105,23, 'SERVICIO INTEGRAL DE SALUD S.A.');

                    pdfDoc.setFontSize(13);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(130,17,'Nº  ' +  doc.name);

                    pdfDoc.setDrawColor('252', '252', '252');
                    pdfDoc.rect(13, 25, pdfDoc.internal.pageSize.getWidth() - 18 , 29, 'S');
                    pdfDoc.rect(13, 25, pdfDoc.internal.pageSize.getWidth() - 18 , 59, 'S');
                    pdfDoc.rect(13, 25, pdfDoc.internal.pageSize.getWidth() - 18 , 105, 'S');
                    pdfDoc.rect(13, 25, pdfDoc.internal.pageSize.getWidth() - 18 , 187, 'S');
                    pdfDoc.rect(13, 25, pdfDoc.internal.pageSize.getWidth() - 18 , 195, 'S');
                    /*
                    ====================================================================
                        PRIMERA SECCION
                    ====================================================================
                    */

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,32,'Médico: ' + doc.user_name);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(71,32,'Paramédico: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(93,32, doc.paramedico_name);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(149,32, 'Fecha: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(169,32, moment(doc.order_date).format('DD/MM/YYYY'));

                    // pdfDoc.setFontSize(10);
                    // pdfDoc.setFontStyle('normal');
                    // pdfDoc.setTextColor(40);
                    // pdfDoc.text(168,32, doc.partner_ruc);


                    // pdfDoc.setFontSize(10);
                    // pdfDoc.setFontStyle('normal');
                    // pdfDoc.setTextColor(40);
                    // pdfDoc.text(32,60, );

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,37,'At. Base: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(31,37,self.valorNull(doc.at_base));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(50,37,'Móvil: ' );

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(65,37, self.valorNull(doc.name_movil));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,37,'Nº de Salida: ' );

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(173,37, self.valorNull(doc.nro_salida));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,42,'Hora Recepción: ' );

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(46,42, moment(doc.planned_start_date).format('DD/MM/YYYY'));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,42,'Hora Atención: ' );

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(176,42, moment(doc.planned_end_date).format('DD/MM/YYYY'));

                    // pdfDoc.setFontSize(10);
                    // pdfDoc.setFontStyle('bold');
                    // pdfDoc.setTextColor(40);
                    // pdfDoc.text(14,42,'Factura N°: ');
                    //
                    // pdfDoc.setFontSize(10);
                    // pdfDoc.setFontStyle('normal');
                    // pdfDoc.setTextColor(40);
                    // pdfDoc.text(29,42,self.valorNull(doc.nro_factura));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,47,'Calle: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(29,47, doc.partner_address);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,47,'Nº: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(156,47, self.valorNull(doc.nro_salida));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,52,'Tipo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(29,52,self.valorNull(doc.tipo_paciente));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(75,52,'Lugar Visita: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(98,52, self.valorNull(doc.lugar_visita));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,57,'Uso alcohol en gel: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(49,57, self.valorNull(doc.uso_gel));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(75,57,'Antiguedad en la empresa: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(122,57, self.valorNull(doc.name_movil));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,57,'Edad: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(156,57, self.valorNull(doc.partner_fecha_nac));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,62,'Nombre y apellido: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(47,62, self.valorNull(doc.partner_name));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(75,62,'Sexo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(90,62, self.valorNull(doc.partner_sexo));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,62,'Seguro: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(156,62, self.valorNull(doc.seguro));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,67,'Antecedentes:');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(45,67, self.valorNull(doc.antecedente_paciente));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(75,67,'Alérgico: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(92,67, self.valorNull(doc.alergico));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(100,67, self.valorNull(doc.tipo_alergico));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,67,'Embarazada: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(172,67, self.valorNull(doc.embarazada));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,72,'Motivo de consulta: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(49,72, self.valorNull(doc.motivo));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,77,'Signos Vitales: P.A.');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(48,77, self.valorNull(doc.pa));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(75,77,'F.C.');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(88,77, self.valorNull(doc.fc));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(105,77,'F.R.');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(122,77, self.valorNull(doc.fr));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(149,77,'Tº ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(156,77, self.valorNull(doc.temp));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,82,'SO');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(31,82, self.valorNull(doc.so));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(75,82,'HGT');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(90,82, self.valorNull(doc.hgt));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,87,'Hallazgos Positivos del Examen Físico (o datos de importancia): ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(self.valorNull(doc.diagnostic), 14,92, {maxWidth:188,align:'justify'});

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,112,'Indicación Médica: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(self.valorNull(doc.indicacion), 14,117, {maxWidth:188,align:'justify'});

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,122,'Tratamiento Administrativo(medicamentos y dosis): ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(self.valorNull(doc.actions), 14, 127, {maxWidth:188,align:'justify'});
                }
            });



            // pdfDoc.setFontSize(10);
            // pdfDoc.setFontStyle('bold');
            // pdfDoc.setTextColor(10);
            // pdfDoc.text(14,127,'Insumos utilizados: ');
            //
            // pdfDoc.setFontSize(10);
            // pdfDoc.setFontStyle('normal');
            // pdfDoc.setTextColor(40);
            // pdfDoc.text(self.valorNull(doc.actions), 14,pdfDoc.autoTable.previous.finalY + 10, {maxWidth:188,align:'justify'});

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(10);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 5,'Recomendaciones: ');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(self.valorNull(doc.recommendations), 14,pdfDoc.autoTable.previous.finalY + 10, {maxWidth:188,align:'justify'});

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(10);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 20,'Epicrisis:');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(30,pdfDoc.autoTable.previous.finalY + 25, self.valorNull(doc.epicrisis));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(80,pdfDoc.autoTable.previous.finalY + 25,'Clasificación de la Atención: ');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(125,pdfDoc.autoTable.previous.finalY + 25, self.valorNull(doc.clasificacion));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(10);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 30,'Diagnóstico Presuntivo:');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 35, self.valorNull(doc.presuntivo));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 45,'Firma y Sello Profesional SIS');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(110,pdfDoc.autoTable.previous.finalY + 45,'Firma Paciente o Responsable');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 50,'Paramédico');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.addImage("data:image/png;base64," + self.valorNull(doc.signature_image_paramedico), 'PNG', 40, pdfDoc.autoTable.previous.finalY + 45, 18, 15);
      //      pdfDoc.text(35,pdfDoc.autoTable.previous.finalY + 50, self.valorNull(doc.signature_image_paramedico));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(110,pdfDoc.autoTable.previous.finalY + 50,'C.I.Nª:');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(120,pdfDoc.autoTable.previous.finalY + 50, self.valorNull(doc.presuntivo));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
          //  var imgData = 'data:image/jpeg;base64,'+ Base64.encode('doc.signature_image_paciente');
            pdfDoc.addImage("data:image/png;base64," + self.valorNull(doc.signature_image_paciente), 'PNG', 160, pdfDoc.autoTable.previous.finalY + 35, 18, 15);
            //pdfDoc.text(170,pdfDoc.autoTable.previous.finalY + 50, self.valorNull(imgData));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 60,'Médico');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.addImage("data:image/png;base64," + self.valorNull(doc.signature_image_medico), 'PNG', 55, pdfDoc.autoTable.previous.finalY + 55, 18, 15);
          //  pdfDoc.text(30,pdfDoc.autoTable.previous.finalY + 60, self.valorNull(doc.signature_image_medico));

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
          //  pdfDoc.text(65,pdfDoc.autoTable.previous.finalY + 60, self.valorNull(doc.user_image));
            pdfDoc.addImage("data:image/png;base64," + self.valorNull(doc.user_image), 'PNG', 75, pdfDoc.autoTable.previous.finalY + 50, 18, 15);

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(14,pdfDoc.autoTable.previous.finalY + 65,'Informado a: ');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(30,pdfDoc.autoTable.previous.finalY + 65, ' ');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(110,pdfDoc.autoTable.previous.finalY + 65,'Entrega a: ');

            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('normal');
            pdfDoc.setTextColor(40);
            pdfDoc.text(128,pdfDoc.autoTable.previous.finalY + 65, ' ');


            pdfDoc.setFontSize(10);
            pdfDoc.setFontStyle('bold');
            pdfDoc.setTextColor(40);
            pdfDoc.text(70,pdfDoc.autoTable.previous.finalY + 75,'"EXCELENCIA EN SERVICIOS DE SALUD"');

            pdfDoc.save('HISTORIA CLINICA PRE-HOSPITALAR.pdf');
        },
    });
    if (instance.web && instance.web.FormView) {
        instance.web.FormView.include({
            load_form: function (record) {
                this._super.apply(this, arguments);
                if (this.model !== 'clinic.history') return;
                local.parentInstance = this;
                if (local.widgetInstance) {
                    local.widgetInstance.updateId(record.id);
                }
                local.widgetInstance = new local.ClinicHistorymedicWidget(this);
                var elemento = this.$el.find('.oe_form_sheet.oe_form_sheet_width');
                elemento =  elemento.find('.oe_right.oe_button_box.clinichistorymedic_button_box');
                local.widgetInstance.appendTo(elemento);
                local.widgetInstance.updateId(record.id);
            }
        });
    }
};
